Subject: Re: bug#23028: 24.5; Emacs crashes when caching an image

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Mar 2016 19:06:41 +0200

> Date: Wed, 16 Mar 2016 12:05:34 +0100
> From: Christian Kellermann <[email-masked]>
> 
> I cannot give a recipe for this crash as it happens after running
> approximately for a week. I ran emacs compiled with debugging symbols
> and in gdb to get a backtrace which I will include below:
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x000000000064b962 in cache_image (f=0xde02648, img=0x28330980) at image.c:1782
> 1782      for (i = 0; i < c->used; ++i)
> (gdb) bt full
> #0  0x000000000064b962 in cache_image (f=0xde02648, img=0x28330980) at image.c:1782
>         c = 0x0
>         i = 0

Thanks.  I've committed a fix for this problem in the upcoming Emacs
25.1.